Name:		libdbi
Version:	0.7.2
Release:	0.fdr.1.1
Epoch:          0
Summary:	Database Independent Abstraction Layer for C

Group:          Development/Libraries
License:        LGPL
URL:            http://libdbi.sourceforge.net/
Source:         http://download.sourceforge.net/libdbi/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

%package devel
Summary:        Development files for libdbi
Group:          Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libdbi-devel package contains the header files and documentation
needed to develop applications with libdbi.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/libdbi.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/programmers-guide.pdf
%doc doc/programmers-guide
%doc doc/driver-guide.pdf
%doc doc/driver-guide
%{_includedir}/dbi
%{_libdir}/libdbi.a
%{_libdir}/libdbi.so

%changelog
* Sun Feb 08 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.2-0.fdr.1: rebuilt with new source version and scrubbed .spec file

* Thu Jul 03 2003 Patrick Macdonald <patrickm@redhat.com> 0.6.5-7
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 24 2003 Tom Lane <tgl@redhat.com>
- /usr/include/dbi should be owned

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Dec 01 2002 Elliot Lee <sopwith@redhat.com> 0.6.5-3
- multilibify

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 18 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.6.5-1
- 0.6.5

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.6.4-2
- 0.6.4

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Sep 20 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.6.2-1
- Sanitize, prepare for distribution

* Sat Aug 4 2001 David Parker <david@neongoat.com>
- initial spec file created
